# TMCColorRGBA32 Class Reference
[MCCore]

Inheritance diagram for TMCColorRGBA32:

List of all members.

## Public Member Functions
| TMCColorRGBA32 (void)
| TMCColorRGBA32 (const int32 rr, const int32 gg, const int32 bb, const int32 aa)
void | Set (const int32 rr, const int32 gg, const int32 bb, const int32 aa)
void | Interpolate (const TMCColorRGBA32 &from, const TMCColorRGBA32 &to, const real interpolant)
void | Interpolate (const TVector2 &interpolants, const TMCColorRGBA32 &lowerLeft, const TMCColorRGBA32 &lowerRight, const TMCColorRGBA32 &upperLeft, const TMCColorRGBA32 &upperRight)
boolean | operator== (const TMCColorRGBA32 &rhs) const
boolean | operator!= (const TMCColorRGBA32 &rhs) const
TMCColorRGBA32 & | operator+= (const TMCColorRGBA32 &rhs)
TMCColorRGBA32 & | operator-= (const TMCColorRGBA32 &rhs)
TMCColorRGBA32 & | operator*= (const real s)
TMCColorRGBA32 & | operator/= (const real s)
TMCColorRGBA32 | operator+ (const TMCColorRGBA32 &rhs) const
TMCColorRGBA32 | operator- (const TMCColorRGBA32 &rhs) const
TMCColorRGBA32 | operator* (const real s) const
TMCColorRGBA32 | operator/ (const real s) const
void | operator+= (const TMCColorRGBA8 &rhs)
const int32 * | GetAddrFirstComponent (void) const
## Public Attributes
int32 | red
int32 | green
int32 | blue
int32 | alpha
## Static Public Attributes
static const uint8 | kMaxIntensity
static const TMCColorRGBA32 | kZero

## Detailed Description

TMCColorRGBA32 is used for maximum precision when accumulating colors. (Primarily for sum-area table accumulation of 8-bit color components). Unlike the 8-bit version, we have enough precision to do signed values

Other color classes are TMCColorRGB, TMCColorRGBA, TMCColorRGBA8

## Constructor & Destructor Documentation

TMCColorRGBA32::TMCColorRGBA32 | ( | void |  | ) | `[inline]`

TMCColorRGBA32::TMCColorRGBA32 | ( | const int32 | rr,
|  | const int32 | gg,
|  | const int32 | bb,
|  | const int32 | aa |
| ) |  |  | `[inline]`

## Member Function Documentation

const int32 * TMCColorRGBA32::GetAddrFirstComponent | ( | void |  | ) | const`[inline]`

void TMCColorRGBA32::Interpolate | ( | const TVector2 & | interpolants,
|  | const TMCColorRGBA32 & | lowerLeft,
|  | const TMCColorRGBA32 & | lowerRight,
|  | const TMCColorRGBA32 & | upperLeft,
|  | const TMCColorRGBA32 & | upperRight |
| ) |  |  |

void TMCColorRGBA32::Interpolate | ( | const TMCColorRGBA32 & | from,
|  | const TMCColorRGBA32 & | to,
|  | const real | interpolant |
| ) |  |  |

boolean TMCColorRGBA32::operator!= | ( | const TMCColorRGBA32 & | rhs | ) | const`[inline]`

TMCColorRGBA32 TMCColorRGBA32::operator* | ( | const real | s | ) | const`[inline]`

TMCColorRGBA32 & TMCColorRGBA32::operator*= | ( | const real | s | ) | `[inline]`

TMCColorRGBA32 TMCColorRGBA32::operator+ | ( | const TMCColorRGBA32 & | rhs | ) | const`[inline]`

void TMCColorRGBA32::operator+= | ( | const TMCColorRGBA8 & | rhs | ) | `[inline]`

TMCColorRGBA32 & TMCColorRGBA32::operator+= | ( | const TMCColorRGBA32 & | rhs | ) | `[inline]`

TMCColorRGBA32 TMCColorRGBA32::operator- | ( | const TMCColorRGBA32 & | rhs | ) | const`[inline]`

TMCColorRGBA32 & TMCColorRGBA32::operator-= | ( | const TMCColorRGBA32 & | rhs | ) | `[inline]`

TMCColorRGBA32 TMCColorRGBA32::operator/ | ( | const real | s | ) | const`[inline]`

TMCColorRGBA32 & TMCColorRGBA32::operator/= | ( | const real | s | ) | `[inline]`

boolean TMCColorRGBA32::operator== | ( | const TMCColorRGBA32 & | rhs | ) | const`[inline]`

void TMCColorRGBA32::Set | ( | const int32 | rr,
|  | const int32 | gg,
|  | const int32 | bb,
|  | const int32 | aa |
| ) |  |  | `[inline]`

## Member Data Documentation

int32 TMCColorRGBA32::alpha

int32 TMCColorRGBA32::blue

int32 TMCColorRGBA32::green

const uint8 TMCColorRGBA32::kMaxIntensity`[static]`

const TMCColorRGBA32 TMCColorRGBA32::kZero`[static]`

int32 TMCColorRGBA32::red

The documentation for this class was generated from the following file:

- MCColorRGBA.h